Package org.apache.commons.compress.harmony.pack200

# Class NewAttributeBands.UnionCase

java.lang.Object
org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement
org.apache.commons.compress.harmony.pack200.NewAttributeBands.UnionCase

All Implemented Interfaces:
  `NewAttributeBands.AttributeLayoutElement`

Enclosing class:
  `NewAttributeBands`

public class NewAttributeBands.UnionCase extends NewAttributeBands.LayoutElement
A Union case

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnionCase(List<Integer> tags)`
  `UnionCase(List<Integer> tags, List<NewAttributeBands.LayoutElement> body)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttributeToBand(NewAttribute attribute, InputStream inputStream)`
  `List<NewAttributeBands.LayoutElement>`
  `getBody()`
  `boolean`
  `hasTag(long l)`
  `void`
  `pack(OutputStream outputStream)`
  `void`
  `renumberBci(IntList bciRenumbering, Map<org.objectweb.asm.Label,Integer> labelsToOffsets)`

  ### Methods inherited from class org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement

  `getLength`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnionCase

    public UnionCase(List<Integer> tags)

  - ### UnionCase

    public UnionCase(List<Integer> tags, List<NewAttributeBands.LayoutElement> body)

- ## Method Details

  - ### addAttributeToBand

    public void addAttributeToBand(NewAttribute attribute, InputStream inputStream)

  - ### getBody

    public List<NewAttributeBands.LayoutElement> getBody()

  - ### hasTag

    public boolean hasTag(long l)

  - ### pack

    public void pack(OutputStream outputStream) throws IOException, Pack200Exception
    Throws:
      `IOException`
      `Pack200Exception`

  - ### renumberBci

    public void renumberBci(IntList bciRenumbering, Map<org.objectweb.asm.Label,Integer> labelsToOffsets)